Package de.willuhn.jameica.hbci.gui.input

# Class RangeInput

java.lang.Object
de.willuhn.jameica.gui.input.AbstractInput
de.willuhn.jameica.gui.input.SelectInput
de.willuhn.jameica.hbci.gui.input.RangeInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class RangeInput extends de.willuhn.jameica.gui.input.SelectInput
Vorkonfigurierte Auswahlliste mit Zeitraeumen.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`RangeInput(de.willuhn.jameica.gui.input.Input from, de.willuhn.jameica.gui.input.Input to)`
ct.
`RangeInput(de.willuhn.jameica.gui.input.Input from, de.willuhn.jameica.gui.input.Input to, Range.Category category, String parameter)`
ct.
`RangeInput(List<Range> ranges, de.willuhn.jameica.gui.input.Input from, de.willuhn.jameica.gui.input.Input to, String parameter)`
ct.

## Method Summary

### Methods inherited from class de.willuhn.jameica.gui.input.SelectInput

`addListener, disable, enable, focus, format, getControl, getList, getText, getValue, isEnabled, setAttribute, setEditable, setEnabled, setList, setPleaseChoose, setPreselected, setValue`

### Methods inherited from class de.willuhn.jameica.gui.input.AbstractInput

`addListener, getData, getName, getParent, getStyleBits, hasChanged, isMandatory, paint, paint, setComment, setData, setInvalidChars, setMandatory, setName, setValidChars, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RangeInput

public RangeInput(de.willuhn.jameica.gui.input.Input from, de.willuhn.jameica.gui.input.Input to)
ct.

Parameters:
  `from` - Input-Feld, in das das Start-Datum nach der Auswahl uebernommen werden soll.
  `to` - Input-Feld, in das das End-Datum nach der Auswahl uebernommen werden soll.

### RangeInput

public RangeInput(de.willuhn.jameica.gui.input.Input from, de.willuhn.jameica.gui.input.Input to, Range.Category category, String parameter)
ct.

Parameters:
  `from` - Input-Feld, in das das Start-Datum nach der Auswahl uebernommen werden soll.
  `to` - Input-Feld, in das das End-Datum nach der Auswahl uebernommen werden soll.
  `category` - Kategorie.
  `parameter` - Schluessel-Name, unter dem die Auswahl gespeichert wird.

### RangeInput

public RangeInput(List<Range> ranges, de.willuhn.jameica.gui.input.Input from, de.willuhn.jameica.gui.input.Input to, String parameter)
ct.

Parameters:
  `ranges` - die anzuzeigenden Zeitraeume.
  `from` - Input-Feld, in das das Start-Datum nach der Auswahl uebernommen werden soll.
  `to` - Input-Feld, in das das End-Datum nach der Auswahl uebernommen werden soll.
  `parameter` - Schluessel-Name, unter dem die Auswahl gespeichert wird.